Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qscreenwidget.ui
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qscreenwidget.ui	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qscreenwidget.ui	(revision 42)
@@ -605,6 +600,4 @@
    <extends>QWidget</extends>
    <header>gui/QTransformMatrixWidget.h</header>
-   <container>0</container>
-   <pixmap></pixmap>
   </customwidget>
  </customwidgets>
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qsetupdialog.ui
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qsetupdialog.ui	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qsetupdialog.ui	(revision 42)
@@ -1,9 +1,7 @@
-<ui version="4.0" >
- <author></author>
- <comment></comment>
- <exportmacro></exportmacro>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>QSetupDialog</class>
- <widget class="QWidget" name="QSetupDialog" >
-  <property name="geometry" >
+ <widget class="QWidget" name="QSetupDialog">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -13,38 +11,38 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Multichannel Projection Designer</string>
   </property>
-  <layout class="QHBoxLayout" >
-   <property name="margin" >
+  <layout class="QHBoxLayout">
+   <property name="spacing">
+    <number>6</number>
+   </property>
+   <property name="margin">
     <number>0</number>
    </property>
-   <property name="spacing" >
-    <number>6</number>
-   </property>
    <item>
-    <widget class="QTabWidget" name="tabWidget" >
-     <widget class="QWidget" name="channelsTab" >
-      <attribute name="title" >
+    <widget class="QTabWidget" name="tabWidget">
+     <widget class="QWidget" name="channelsTab">
+      <attribute name="title">
        <string>Channels</string>
       </attribute>
-      <layout class="QHBoxLayout" >
-       <property name="margin" >
+      <layout class="QHBoxLayout">
+       <property name="spacing">
+        <number>6</number>
+       </property>
+       <property name="margin">
         <number>4</number>
        </property>
-       <property name="spacing" >
-        <number>6</number>
-       </property>
        <item>
-        <layout class="QVBoxLayout" >
-         <property name="margin" >
+        <layout class="QVBoxLayout">
+         <property name="spacing">
+          <number>6</number>
+         </property>
+         <property name="margin">
           <number>0</number>
          </property>
-         <property name="spacing" >
-          <number>6</number>
-         </property>
          <item>
-          <widget class="projection::QChannelManagerWidget" name="channelManager" >
-           <property name="maximumSize" >
+          <widget class="projection::QChannelManagerWidget" name="channelManager" native="true">
+           <property name="maximumSize">
             <size>
              <width>16777215</width>
@@ -52,5 +50,5 @@
             </size>
            </property>
-           <property name="focusPolicy" >
+           <property name="focusPolicy">
             <enum>Qt::StrongFocus</enum>
            </property>
@@ -58,26 +56,24 @@
          </item>
          <item>
-          <widget class="QGroupBox" name="channelGroup" >
-           <property name="sizePolicy" >
-            <sizepolicy>
-             <hsizetype>5</hsizetype>
-             <vsizetype>5</vsizetype>
+          <widget class="QGroupBox" name="channelGroup">
+           <property name="sizePolicy">
+            <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
              <horstretch>0</horstretch>
              <verstretch>1</verstretch>
             </sizepolicy>
            </property>
-           <property name="title" >
+           <property name="title">
             <string>Channel</string>
            </property>
-           <layout class="QHBoxLayout" >
-            <property name="margin" >
+           <layout class="QHBoxLayout">
+            <property name="spacing">
+             <number>6</number>
+            </property>
+            <property name="margin">
              <number>4</number>
             </property>
-            <property name="spacing" >
-             <number>6</number>
-            </property>
             <item>
-             <widget class="projection::QChannelWidget" name="channel" >
-              <property name="focusPolicy" >
+             <widget class="projection::QChannelWidget" name="channel" native="true">
+              <property name="focusPolicy">
                <enum>Qt::StrongFocus</enum>
               </property>
@@ -89,8 +85,8 @@
          <item>
           <spacer>
-           <property name="orientation" >
+           <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
-           <property name="sizeHint" >
+           <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
@@ -104,24 +100,24 @@
       </layout>
      </widget>
-     <widget class="QWidget" name="screenTab" >
-      <attribute name="title" >
+     <widget class="QWidget" name="screenTab">
+      <attribute name="title">
        <string>Screen</string>
       </attribute>
-      <layout class="QVBoxLayout" >
-       <property name="margin" >
+      <layout class="QVBoxLayout">
+       <property name="spacing">
+        <number>6</number>
+       </property>
+       <property name="margin">
         <number>0</number>
        </property>
-       <property name="spacing" >
-        <number>6</number>
-       </property>
        <item>
-        <widget class="projection::QScreenWidget" name="screen" />
+        <widget class="projection::QScreenWidget" name="screen" native="true"/>
        </item>
        <item>
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeHint" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
@@ -133,24 +129,24 @@
       </layout>
      </widget>
-     <widget class="QWidget" name="sceneTab" >
-      <attribute name="title" >
+     <widget class="QWidget" name="sceneTab">
+      <attribute name="title">
        <string>Scene</string>
       </attribute>
-      <layout class="QVBoxLayout" >
-       <property name="margin" >
+      <layout class="QVBoxLayout">
+       <property name="spacing">
+        <number>6</number>
+       </property>
+       <property name="margin">
         <number>0</number>
        </property>
-       <property name="spacing" >
-        <number>6</number>
-       </property>
        <item>
-        <widget class="projection::QSceneWidget" name="scene" />
+        <widget class="projection::QSceneWidget" name="scene" native="true"/>
        </item>
        <item>
         <spacer>
-         <property name="orientation" >
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
-         <property name="sizeHint" >
+         <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
@@ -166,5 +162,4 @@
   </layout>
  </widget>
- <pixmapfunction></pixmapfunction>
  <customwidgets>
   <customwidget>
@@ -172,6 +167,4 @@
    <extends>QWidget</extends>
    <header>gui/QChannelManagerWidget.h</header>
-   <container>0</container>
-   <pixmap></pixmap>
   </customwidget>
   <customwidget>
@@ -179,6 +172,4 @@
    <extends>QWidget</extends>
    <header>gui/QScreenWidget.h</header>
-   <container>0</container>
-   <pixmap></pixmap>
   </customwidget>
   <customwidget>
@@ -186,6 +177,4 @@
    <extends>QWidget</extends>
    <header>gui/QChannelWidget.h</header>
-   <container>0</container>
-   <pixmap></pixmap>
   </customwidget>
   <customwidget>
@@ -193,6 +182,4 @@
    <extends>QWidget</extends>
    <header>gui/QSceneWidget.h</header>
-   <container>0</container>
-   <pixmap></pixmap>
   </customwidget>
  </customwidgets>
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qtransformmatrixwidget.ui
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qtransformmatrixwidget.ui	(revision 20)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qtransformmatrixwidget.ui	(revision 42)
@@ -1,93 +1,91 @@
-<ui version="4.0" >
- <author></author>
- <comment></comment>
- <exportmacro></exportmacro>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>QTransformMatrixWidget</class>
- <widget class="QWidget" name="QTransformMatrixWidget" >
-  <property name="geometry" >
+ <widget class="QWidget" name="QTransformMatrixWidget">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>179</width>
-    <height>78</height>
+    <width>203</width>
+    <height>95</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Matrix Settings</string>
   </property>
-  <layout class="QHBoxLayout" >
-   <property name="margin" >
+  <layout class="QHBoxLayout">
+   <property name="spacing">
+    <number>6</number>
+   </property>
+   <property name="margin">
     <number>0</number>
    </property>
-   <property name="spacing" >
-    <number>6</number>
-   </property>
    <item>
-    <widget class="QGroupBox" name="transformGroup" >
-     <property name="title" >
+    <widget class="QGroupBox" name="transformGroup">
+     <property name="title">
       <string>Transform</string>
      </property>
-     <layout class="QHBoxLayout" >
-      <property name="margin" >
+     <layout class="QHBoxLayout">
+      <property name="spacing">
+       <number>6</number>
+      </property>
+      <property name="margin">
        <number>0</number>
       </property>
-      <property name="spacing" >
-       <number>6</number>
-      </property>
       <item>
-       <layout class="QGridLayout" >
-        <property name="margin" >
+       <layout class="QGridLayout">
+        <property name="margin">
          <number>4</number>
         </property>
-        <property name="spacing" >
+        <property name="spacing">
          <number>6</number>
         </property>
-        <item row="0" column="3" >
-         <widget class="QLineEdit" name="posZEdit" />
+        <item row="0" column="3">
+         <widget class="QLineEdit" name="posZEdit"/>
         </item>
-        <item row="1" column="1" >
-         <widget class="QLineEdit" name="rotHEdit" />
+        <item row="1" column="1">
+         <widget class="QLineEdit" name="rotHEdit"/>
         </item>
-        <item row="0" column="0" >
-         <widget class="QLabel" name="posLabel" >
-          <property name="text" >
+        <item row="0" column="0">
+         <widget class="QLabel" name="posLabel">
+          <property name="text">
            <string>Pos</string>
           </property>
          </widget>
         </item>
-        <item row="1" column="0" >
-         <widget class="QLabel" name="rotLabel" >
-          <property name="text" >
+        <item row="1" column="0">
+         <widget class="QLabel" name="rotLabel">
+          <property name="text">
            <string>Rot</string>
           </property>
          </widget>
         </item>
-        <item row="0" column="1" >
-         <widget class="QLineEdit" name="posXEdit" />
+        <item row="0" column="1">
+         <widget class="QLineEdit" name="posXEdit"/>
         </item>
-        <item row="1" column="3" >
-         <widget class="QLineEdit" name="rotREdit" />
+        <item row="1" column="3">
+         <widget class="QLineEdit" name="rotREdit"/>
         </item>
-        <item row="1" column="2" >
-         <widget class="QLineEdit" name="rotPEdit" />
+        <item row="1" column="2">
+         <widget class="QLineEdit" name="rotPEdit"/>
         </item>
-        <item row="0" column="2" >
-         <widget class="QLineEdit" name="posYEdit" />
+        <item row="0" column="2">
+         <widget class="QLineEdit" name="posYEdit"/>
         </item>
-        <item row="2" column="0" >
-         <widget class="QLabel" name="scaleLabel" >
-          <property name="text" >
+        <item row="2" column="0">
+         <widget class="QLabel" name="scaleLabel">
+          <property name="text">
            <string>Scale</string>
           </property>
          </widget>
         </item>
-        <item row="2" column="1" >
-         <widget class="QLineEdit" name="scaleXEdit" />
+        <item row="2" column="1">
+         <widget class="QLineEdit" name="scaleXEdit"/>
         </item>
-        <item row="2" column="2" >
-         <widget class="QLineEdit" name="scaleYEdit" />
+        <item row="2" column="2">
+         <widget class="QLineEdit" name="scaleYEdit"/>
         </item>
-        <item row="2" column="3" >
-         <widget class="QLineEdit" name="scaleZEdit" />
+        <item row="2" column="3">
+         <widget class="QLineEdit" name="scaleZEdit"/>
         </item>
        </layout>
@@ -98,5 +96,4 @@
   </layout>
  </widget>
- <pixmapfunction></pixmapfunction>
  <tabstops>
   <tabstop>posXEdit</tabstop>
